:root {
  --avatar-width: 55px;
  --avatar-height: 55px;
  --avatar-thread-width: 70px;
  --avatar-thread-height: 70px;
  --speak-bubble-clr: #E8F0FE;
  
  --think-bubble-hover:  #E2E9FB;
  --think-bubble-active:  #E8F0FE;
  --thinking-dot-stroke: rgb(242 245 249);    
  --thinking-dots-offset-x: 6px;   
  --thinking-dots-offset-y: 6px;   
  --thinking-dot-stroke-w: 6;      
  --editable-width: 328px;
  --editable-width-mobile: 290px;

}
.post-comment {
  transition: opacity 160ms ease-out;
}

.post-comment.post-comment--hidden {
  opacity: 0;
}

.container-wr{
  margin-top: 52px;
  
}
.container{
  flex-direction: column !important;
  margin-top: 0px !important;
}
.comment-sort {
  display: flex;
  align-items: center;
  gap: 3px;
  position: relative;
  margin-left: 15px;
  margin-bottom: 12px;
  margin-top: -23px;
}

.sort-trigger {
  background: none;
  border: none;
  color: var(--font-color);
  display: inline-flex;
  gap: 0.35rem;
  align-items: center;
  cursor: pointer;
  line-height: 1; 
}
.sort-trigger[aria-expanded="true"] {
  background:var(--btn-bg-hover-new);
}

.sort-trigger[aria-expanded="true"] i {
  transform: rotate(180deg);
}

.sort-trigger{
    padding: 8px 13px 8px 13px;
    border-radius: var(--border-radius-999);
}
.sort-label{
    border-radius: var(--border-radius-999);
    color: var(--gray-clr);
    font-size: 12px;
}

.sort-trigger:hover {
    background: var(--btn-bg-hover-new);
}



.sort-menu {
  position: absolute;
  top: 110%;
  left: calc(8.5ch + 0.7rem);
  min-width: 8rem;
  background: #ffffff;
  border-radius: var(--border-radius-12);
    box-shadow: 0 4px 4px rgb(0 0 0 / 25%);
      z-index: 99;

  opacity: 0;
  transform: scale(0.98);
  visibility: hidden;
  pointer-events: none;
  transition:
    opacity 40ms ease,
    transform 140ms ease,
    visibility 0s linear 140ms; 
  will-change: opacity, transform;
}

.sort-menu.open {
  opacity: 1;
  transform: scale(1);
  visibility: visible;
  pointer-events: auto;
  transition:
    opacity 40ms ease,
    transform 140ms ease,
    visibility 0s; 
}

#comments-topbar {
  z-index: 999;
  position: relative;
}

.comment-sort button i {
    color: var(--gray-clr);
    font-size: 9px;
    display: block;   
    line-height: 1;
      transform: translateY(1px);
}
.sort-value{
  color: var(--gray-clr);
  font-size: 12px;
  font-weight: 600;
}
.sort-option {
  width: 100%;
  text-align: left;
  background: none;
  border: none;
  padding: 13px 21px 13px 25px;
  cursor: pointer;
  border-radius: 0.35rem;
  color: var(--font-color);
}

.sort-option:hover {
  color: black;

}

.sort-option.active {
  background: var(--post-bg-hover-new);
}

.sort-option.active:first-child:not(:last-child) {
  background: var(--post-bg-hover-new);
  border-radius: 12px 12px 0px 0px;
}

.sort-option.active:last-child:not(:first-child) {
  background: var(--post-bg-hover-new);
  border-radius: 0px 0px 12px 12px;
}

.sort-option.active:not(:first-child):not(:last-child) {
  background: var(--post-bg-hover-new);
  border-radius: 0;
}


.thread-write-comment-wrapper,
.thread-write-comment-wrapper * {
  -webkit-tap-highlight-color: rgb(198, 198, 198);
  outline: none;
}
.bubble-wrapper {
  position: relative; 
}
.bubble-hitbox {
    position: absolute;
    top: -35px;
    height: 100px;
    background: #ffffff00;
    z-index: 999;
    width: clamp(300px, 22vw + 120px, 505px);        
    cursor: text;
}

.bubble-hitbox.hidden {
  display: none;          
}

@keyframes thinking-pulse {
  0%, 100% {
    transform: scale(0.6);
      fill:  var(--speak-bubble-clr);
  }
  40% {
    transform: scale(1);
      fill:  var(--speak-bubble-clr);

  }
  50% {
    transform: scale(1);
      fill:  var(--speak-bubble-clr);

  }
}

/*
.bubble-top-wrap.thinking .dot,
.thinking-dots-big .dot,
.thinking-dots-mid .dot,
.thinking-dots-sml .dot {
  animation: thinking-pulse 2.5s ease-in-out infinite;
  transform-box: fill-box;
  transform-origin: center;
}
*/

/*
.thinking-dots-big .dot { animation-delay: 0s; }
.thinking-dots-mid .dot,
.dot.mid { animation-delay: .2s; } robust for your dot mid
.thinking-dots-sml .dot { animation-delay: .4s; }
*/


#thinking-bubble-wrapper {
    position: absolute;
    z-index: 1;
    pointer-events: none;
    user-select: none;
    top: -30px;
    left: -20px;
    width: var(--editable-width);
}
.bubble-top-wrap {
    position: relative;
    width: clamp(288px, 24vw, 291px);
    margin-left: 18px;
}

#thinking-bubble-wrapper-2 {
  position: absolute;
  z-index: -1;
  transition: margin-left 0.1s ease;
  width: var(--editable-width);
  top: -30px;
}



.thinking-dots-big {
   position: absolute;
    margin-top: 66px;
    margin-left: 61px;
    width: 35px;
    height: 35px;
    overflow: visible;
    pointer-events: none;
    fill: var(--speak-bubble-clr);
    z-index: 35;
}

.thinking-dots-mid {
    position: absolute;
    width: 28px;  
    height: 28px;
    overflow: visible;
    pointer-events: none;
    fill:  var(--speak-bubble-clr);
    z-index: 35;
    margin-left: 55px;
    margin-top: 55px;
}

.thinking-dots .dot {
  fill: transparent;                       
  stroke: var(--speak-bubble-clr);
  stroke-width: var(--thinking-dot-stroke-w);
  stroke-linecap: round;
  stroke-linejoin: round;
}


#bubble-top,
#bubble-bottom {
  width: 100%;
  height: auto;
  display: block;
  
}
#bubble-top-2 {
  width: 97%;
  height: auto;
  display: block;
  margin-top: -15px;
}
#bubble-bottom-2 {
  width: 95%;
  height: auto;
  display: block;
  margin-top: -30px;
}
#bubble-bottom
{
  margin-top: -20px; 
  margin-left: 20px;
}
.pending-text-wr{
    position: relative;
    left: 8px;  
}
#post-comment-border.expanded #bubble-bottom {
    margin-top: -10px;
    width: clamp(320px, 23vw + 132px, 530px);
}
@media (max-width: 400px) {
  #post-comment-border.expanded #bubble-bottom {
      margin-top: 10px;
      margin-left: 10px;
  }
}
@media (min-width: 1000px) and (max-width: 1199px){
  #post-comment-border.expanded #bubble-bottom {
    margin-top: 10px;
    margin-left: 14px;
  }
   #post-comment #post-comment-border .hiding.expanded {
    width: clamp(360px, 35vw, 404px) !important;
  }
}
@media (min-width: 1200px) and (max-width: 1499px){
  #post-comment-border.expanded #bubble-bottom {
    margin-top: 5px;
  }

}
@media (min-width: 1500px) and (max-width: 1999px){
  #post-comment-border.expanded #bubble-bottom {
    margin-top: -5px;
     margin-left: 10px;
  }
}

/*-------------------------------------------------*/
@media (min-width: 1400px) and (max-width: 1999px){
    #post-comment #post-comment-border .hiding.expanded {
        width: clamp(420px, 32vw, 469px) !important;
    }
}


@media (min-width: 800px) and  (max-width: 999px) {
  #post-comment-border.expanded #bubble-bottom {
    margin-top: 10px;
  }
  #bubble-bottom{
    margin-left: 11px;
  }
  .bubble-top-wrap {
    width: clamp(321px, 35vw, 568px);
  }
  .bubble-expanded .hiding{
    width: clamp(319px, 38vw, 355px) !important;
  }
}
@media (max-width: 800px) {
  .comment-sort button i {
      transform: translateY(0px) !important;
    }
  body.bubble-expanded .thinking-dots-big .dot,
  body.bubble-expanded .thinking-dots-mid .dot {
   display: none;
  }
   .show-replies-button i{
    padding-top: 1px !important;
  }
  .comment-likecount{
    font-weight: 600 !important;
  }
  .above-reply .menu-toggle{
    padding-left: 12px !important;
    padding-right: 12px !important; 
  }
  .show-replies-button{
    margin-right: 0px !important;
  }
  .likes i, .comments i , .commentcount{
      font-size: 14px !important;
    }
  #thread-title{
    font-size: 18px !important;
  }
  .bubble-top-wrap {
    width: 100%;
}
 .bubble-expanded #editable{
    width: 291px !important;
 }
 .comment-posting{
    width: clamp(259px, 19vw + 123px, 512px) !important;
    margin-top: 4px !important; 
 }
  #post-comment-border.expanded #bubble-bottom {
      margin-top: 10px;
      margin-left: 16px;
  }
  .hiding{
    width: 300px !important;
  }

 #editable{
    margin-left: -6px !important;
 }
 #bubble-middle-wrapper{
    margin-left: 7px;
    margin-top: -5px;
 }
#thinking-bubble-wrapper, #thinking-bubble-wrapper-2 {
    width: var(--editable-width-mobile);
}
#submit-comment{
  margin-right: 0px !important;
}
 #bubble-top{
  width: 105%;
 }
#bubble-bottom{
  width: 100%;
  margin-top: -10px; 
 }
 #post-comment-border{
    margin-left: clamp(83px, 19vw, 83px) !important;
  } 

 .thinking-dots-mid {
    margin-left: 37px;
    margin-top: 58px;
}
.thinking-dots-big{
    margin-top: 67px;
    margin-left: 44px;
}
#post-comment-border.expanded #bubble-bottom{
        width: clamp(310px, 46vw + 101px, 311px);
      }

.above-reply{
  gap: 3px !important;
}

}
#bubble-middle-wrapper {
  width: 100%;
  overflow: hidden;
}

#bubble-middle {
  width: 100%;
  height: 100%;
  object-fit: fill; 
  display: block;
  margin-left: 13px;
}

.st0-bubble{
  fill: var(--speak-bubble-clr);
}
.bubble-expanded .st0-bubble {
  fill: var(--think-bubble-active) !important;
}

.bubble-expanded #editable{
  background-color: var(--think-bubble-active) !important;
    width: clamp(190px, 22vw + 125px, 505px);
}
.bubble-expanded .hiding {
  background-color: var(--think-bubble-active) !important;
  width: 331px;
}

.bubble-expanded .thinking-dots-big circle,
.bubble-expanded .thinking-dots-mid circle {
  fill: var(--think-bubble-active) !important;
}
#editable{
    position: relative;
    z-index: 2;
    width: clamp(300px, 22vw + 116px, 505px);
    box-sizing: border-box;
    overflow-wrap: break-word;
    outline: 1px solid rgba(201, 201, 201, 0);
    text-decoration: none;
    overflow: hidden;
    background-color: var(--speak-bubble-clr);
    min-height: 24px;
    border-radius: var(--border-radius-12);
    padding-right: 20px;
    padding-left: 3px;
}

.hiding{
  width: 331px;
  height: 57px;
  background-color: var(--speak-bubble-clr);
  display: block;
  position: absolute;
  margin-top: -10px;
  margin-left: 0;
  border-radius: var(--border-radius-999);
}
#post-comment #post-comment-border .hiding.expanded{
    background-color: var(--speak-bubble-clr);
    width: clamp(409px, 33vw, 450px);
    border-radius: 5px 540px 999px 555px;
    height: 37px;
    margin-left: -15px;
}
#thinking-bubble-wrapper-2 .bubble-top-wrap {
  position: relative;
}
#editable.expanded {
  resize: vertical;  

}
svg.thinking .st0 {
  fill: black;
}
.thread-author-time-wr {
    align-items: center;
    display: flex;
    gap: 5px;
    font-size: 12px;
}
#thread-author{
    color: var(--gray-clr);
}
.replies{
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
}
.replies-container.open {
  margin-bottom: 10px;
}
.replies-container{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    max-height: 30 0px;
 
    padding-left: 20px;
    margin-left: 10px;
    border-left: 1px solid #ddd;
    position: relative;
    margin-bottom: 10px;
}

.replies-container::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
    left: -11px;
    width: 20px;      
  cursor: pointer;
  background: transparent; 
}

.reply-branch-children .speak-bubble{
  margin-right: 0px !important;
}
.reply-branch-children .avatar-wrapper.comment-ts{
  left: 24px !important;
}


.comment-item.parent-author-reply-ts .speak-tail-reply{
    position: absolute;
    width: 20px;
    height: 20px;
    z-index: 40;
    top: 40px;
    left: -15px;
    transform: scaleX(1);
}
.replies-container-nested {
    display: grid;
    grid-template-columns: 1fr;
    overflow-wrap: break-word;
    word-break: break-word;
    margin-right: 70px;
    width: 100%;
    border-left: 1px solid #ddd;
    position: relative;
}


.replies-container .comment-item{
   position: relative;  
  margin-top: 5px;

}


#editable-placeholder.expanded{
  display: none;
}
#editable-placeholder{
    display: block;
    padding-left: 0px;
    margin-left: -8px;
    color: #464545;
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 100;
    position: relative;
    padding-left: 15px;
    padding-top: 5px;
}

#editable-placeholder.show {
  opacity: 1;
}

.show-more-comments-button{
    border: none;
    padding: 15px;
    background-color: var(--pink);
    border-radius: var(--border-radius-12);
    margin: 5px 10px 10px 10px;
    color: white;
    font-weight: 500;
}
.show-more-comments-button:hover{
    background-color: var(--pink-hover);
}
.show-more-comments-button:active{
    background-color: var(--pink-click);
}

.h1-login-to-comment{
    font-size: 14px;
    margin-left: 10px;
    margin-bottom: -40px;
}
.comment-avatar{
  width: 100%;
}
#comment-list{
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-left: 5px;
}

.comment-toggle {
  color: #666;
  font-size: 13px;
  cursor: pointer;
  position: relative;
  display: inline-block; 
  min-width: 80px;       
  text-align: left;
}

.comment-toggle-wrap { 
  white-space: nowrap; 
  -webkit-user-select: none;
  user-select: none;  
}

.comment-toggle:hover { text-decoration: underline; }

.comment-toggle::after {
    content: "";
    position: absolute;
    background-color: rgba(255, 255, 255, 0);
    height: 27px;
    width: 110px;
    right: 0px;
}
.comment-toggle::after {
  pointer-events: auto;  
}
.comment-toggle:hover {
  text-decoration: underline;
}



/*
.reply-item{
  display: grid;
  grid-template-columns: 600px auto auto auto auto;
  grid-template-areas:
    "c-avatar c-top c-top c-top c-top"
    "c-avatar c-content c-content c-content c-content"
    "c-avatar c-buttons c-buttons c-buttons c-buttons ";
  overflow-wrap: break-word;
  word-break: break-word;
  grid-column-gap: 1rem; 
  margin-top: 1rem;
  border: 1px solid green;
  width: 100%;
}
*/

.comment-avatar, .reply-avatar{

  margin-right: 2rem;
}
.comment-buttons-wrapper.disabled {
  cursor: default !important;
}

.comment-top, .reply-top{
  grid-area: c-top;
  display: flex;
  justify-content: space-between;
  cursor: text;
}
.comment-top-left, .reply-top-left{
  display: flex;
  gap: 0.5rem;
}
.comment-content{
    position: relative;
    margin-left: 8px;
    margin-bottom: 3px;    
}
.comment-content, .reply-content{
  grid-area: c-content;
  cursor: text;
}

 .comment-container {
   margin-left: 75px;
    display: grid;
    grid-template-columns: 1fr;
    grid-template-areas:
        "c-top c-top c-top c-top"
        "c-content c-content c-content c-content"
        "c-buttons c-buttons c-buttons c-buttons";
    overflow-wrap: break-word;
    word-break: break-word;
}
.replies-container-nested:empty {
  height: 0;
  padding: 0;
  margin: 0;
  border: 0;
}
.replies-extra{
    position: relative;
}
.more-replies-button,.more-nested-replies-button{
    margin-top: 10px;
    position: absolute;
    background-color: var(--speak-bubble-clr);
    border-radius: 999px;
    padding: 8px 16px 8px 16px;
    border: none;
    color: var(--font-clr);
    cursor: pointer;
}
.more-replies-button{
    margin-left: 30px;

}
.more-nested-replies-button{
    margin-left: 78px;
}
.more-replies-button:hover, .more-nested-replies-button:hover{
    background-color: var(--think-bubble-hover);
}
.more-replies-button:active, .more-nested-replies-button:active{
    background-color: #cdd5eb;
}
.replies-extra .comment-item .comment-container {
    display: grid;
    grid-template-columns: 1fr;
    width: 100%;
    overflow-wrap: break-word;
    word-break: break-word;
    margin-right: 10px;
}
.replies-extra > .comment-item > .comment-container {
    margin-left: 52px !important;
}
.reply-branch-children > .comment-item > .comment-container {
    margin-left: 94px !important;
}
.reply-branch-children > .comment-item > .comment-container > .speak-bubble{
  width: calc(100% - 123px);
}
.speak-bubble{
  background-color: var(--speak-bubble-clr);
  padding: 10px;
  border-radius: 16px;
  word-wrap: break-word;
  overflow-wrap: anywhere;
  cursor: default;
  position:relative;
  left:-17px;                
  width: 100%;  
  box-sizing:border-box;
  z-index: 30;
}

.replies-extra .speak-bubble{
  left:-25px;                
  width:calc(100% - 80px);  
}



.speak-tail { 
    fill: var(--speak-bubble-clr);
    position: absolute;
    width: 20px;
    height: 20px;
    left: -15px;
    margin-top: 42px;
    z-index: 40;
}
.comment-item .avatar-wrapper.comment-ts ~ .comment-container .speak-tail-reply {
  left: -15px;
  transform: scaleX(1);
}
.speak-tail-reply {
    fill: var(--speak-bubble-clr);
    transform: scaleX(-1);
    position: absolute;
    width: 20px;
    height: 20px;
    z-index: 40;
    right: -16px;
    top: 40px;
}

.comment-content.deleted{
  color: red;
  font-style: italic;
}
.comment-list .comment-buttons-wrapper, .reply-buttons-wrapper{
  grid-area: c-buttons;
  display: flex;
  flex-direction: column;
  margin-right: 10px;
  width: 100%;
}

.post-item-like-comment, #thread-likecomment{
  display: flex;
  gap: 10px;
  margin-top: 8px;
  margin-bottom: 5px;
  align-items: center;
}


.button-like-post:hover{
  background-color: var(--btn-bg-hover-new);
}



.above-reply{
  display: flex;
  gap: 5px;
}
.above-reply .likes{
  gap: 0px !important;

}
.comment-likecount {
    font-weight: 600;
    margin-left: 0.5rem;
    font-size: 12px;
}
.reply-placeholder, .show-replies-button {
  font-size: 12px;
  font-weight: 400;
  color: var(--font-clr);
  text-align: center;

}
.comment-author{
  font-size: .75rem;
  line-height: 1rem;
  color: var(--gray-clr);
      display: flex;
    align-items: center;
    gap: 5px;
}
.comment-author i{
  font-size: 8px;
  margin-top: 2px;
}
.comment-date{
  font-weight: 400;
   font-size: .75rem;
  line-height: 1rem;
  color: var(--gray-clr);
}
.edited-tag{
  font-weight: 400;
  font-size: .75rem;
  line-height: 1rem;
  color: var(--gray-clr);
}

.author-time-wr{
  display: flex;
  flex-direction: row;
  right: 35px;
  gap: 5px;
  margin-left: 8px;
  align-items: center;
}
.button-like-comment, .button-reply-comment{
  border: none;
  background-color: transparent;
  font-size: 12px;  
}
.button-like-comment{
    border-radius: var(--border-radius-999);
    padding: var(--btn-padding);
}
.button-like-comment, .show-replies-button, .above-reply .menu-toggle{
    max-height: 30px;
}
.button-like-comment:hover, .show-replies-button:hover, .above-reply .menu-toggle:hover{
    background-color: var(--btn-bg-hover-new);
}
.show-replies-button[aria-expanded="true"] {
  background-color:#d8e3ff;
}
.show-replies-button{
  background: none;
  border: none;
  border-radius: var(--border-radius-999);
  padding: var(--btn-padding);
  display: flex;
  gap: 7px;
  align-items: center;
  margin-right: 5px;
}
.show-replies-button i{
  font-size: 10px;
}

.replies-container-nested::before {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: -7px;
    width: 20px;
    cursor: pointer !important;
    background: transparent;
    z-index: 999999;
}
.comment-menu-wrapper {
  position: relative;
  display: inline-block;
}

.above-reply .menu-toggle {
  background: none;
  border: none;
  font-size: 12px;
  cursor: pointer;
  color: black;
  padding: var(--btn-padding);
  border-radius: var(--border-radius-999);
}

#thread-menu .menu-toggle {
  background: none;
  border: none;
  color: #181411;
  font-size: 18px;
  padding: 5px;
  border-radius: var(--border-radius-999);
  cursor: pointer;
  -webkit-tap-highlight-color: transparent; 
}



#thread-menu .menu-toggle:hover{
  background-color: var(--btn-bg-hover-new);
}

.thread-wr{
  padding-left: 5px;
  z-index: 10;
  background: white;
  position: relative;
  width: 100%;
}
.thread {
  background-color: white;
  gap: 0.5rem;
  overflow-wrap: break-word;
  word-break: break-word;
  padding-right: 5px;
  padding-top: 6px;
  margin-bottom: 8px;
}
.thread-top{
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-right: 10px;
}
.thread-top-left{
  display: flex;
  justify-content: space-between;
}
.thread-authors{
  grid-area: t-author;
  display: flex;
  flex-direction: row;
  width: 100%;
  margin-left: 5px;
  margin-bottom: 5px;  
}
.pending-info{
  margin-left: 15px;
  margin-bottom: 10px;
}
#thread-title{
  font-size: 24px;
  line-height: 25px;
  font-weight: 600;
  color: rgb(24, 20, 17);
}
.pending-btn-link.font{
    background-color: var(--pink);
    color: white;
    font-weight: 700;
    padding: 14px 20px 14px 20px;
    text-align: center;
    align-items: center;
    display: flex;
    width: fit-content;
    border-radius: 999px;  
    margin-left: auto;
    margin-right: auto;
}
.pending-btn-link.font:hover{
  background-color: var(--pink-hover);
}

.pending-btn-link.font:active{
  background-color: var(--pink-click);
}
.thread-top-left .pending-badge{
  margin-left: 0px;
  margin-top: 0px;
}
.pending-badge {
    font-size: 12px;
    border-radius: 0px;
    vertical-align: middle;
    font-family: 'Segoe UI', sans-serif;
    width: fit-content;
    margin-top: 6px;
    margin-bottom: 0px;
    color: rgb(157 173 182);
    border-radius: 999px;
    margin-left: -8px;
}
.comment-top .pending-badge{
  margin-left: 0px;
  margin-top: 0px
}
.pending-badge .comment-pending-text,.pending-badge .comment-pending-sub{
  margin-left: 0px;
}
#thread-content{
  grid-area: t-content;
  font-size: 14px;
  padding-right: 10px;
  z-index: 35;
  padding-left: 10px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
#thread-content p{
  color: rgb(59, 52, 46);
}

#thread-category {
  grid-area: t-category;
}
#thread-likecomment {
  grid-area: t-likecomment;
  margin-left: 5px;
}
#thread-time{
  grid-area: t-time;
  color: var(--gray-clr);
}
#thread-avatar{
  grid-area: t-avatar;

}


.edit-post-wr{
  grid-area: t-content;
  padding: 10px 15px 10px 15px ;
  border: 1px solid #d1d1d19e;
  border-radius: 1.25rem;
  z-index: 300;
  margin-right: 15px;
  margin-left: 10px;
  cursor: text;
}
.edit-post-wr:hover{
  border: 1px solid #c5c5c5bd;
}
.edit-post-buttons{
  display: flex;
  justify-content: flex-end;
  margin-top: 10px;
}
#editable-post:focus {
  outline: none;
  border: none;
  box-shadow: none;
}


.edit-comment-border{
    padding-bottom: 10px;
    cursor: text;
}

.edit-comment-wr{
  grid-area: t-content;
  padding: 10px 15px 10px 15px ;
  border: 1px solid #d1d1d19e;
  border-radius: var(--border-radius-12);
  z-index: 300;
  margin-right: 15px;
  margin-left: 10px;
  background-color: white;
  cursor: default;
}
.edit-comment-wr:hover{
  border: 1px solid #9c9c9c9e;
}

.edit-comment-buttons{
  display: flex;
  justify-content: flex-end;
  margin-top: 10px;
}
.editable-comment,
.editable-comment p {
  font-size: 16px !important;    
  line-height: 1.4 !important;
}
.editable-comment:focus {
  outline: none;
  border: none;
  box-shadow: none;
}

.post-comment{
  position: relative;  
  background-color: white;
  margin-top: -12px;
}

.thread-wr .hr-divider{ 
    margin-bottom: 25px;
    margin-top: 50px;
}
.thread-wr .hr-divider.expanded{ 
    margin-bottom: 25px;
    margin-top: 85px;
}
@media (min-width: 855px) {
.thread-wr .hr-divider.expanded{ 
    margin-bottom: 25px;
    margin-top: 105px;
}
}
#post-comment-border{
 position: relative;
  border-radius: var(--border-radius-999);
  margin-top: 3.4rem;
  margin-left: 110px;
  margin-right: 2rem;
}



.reply-textbox{
  border-radius: 1.25rem;
  width: 100%;
  box-sizing: border-box;
  overflow-wrap: break-word;
  outline: none;
  text-decoration: none;
  position: relative;
  overflow: auto;
  resize: vertical;
  padding: 10px 15px 0px 15px ;
  border: none;
  min-height: 49px;
}
.reply-wrapper{
  border: #C8C8C8 1px solid;
  position: relative;
  border-radius: 1.25rem;
  padding-bottom: 0.5rem;
  background-color: white;
  margin-top: 10px;
}
.reply-wrapper:focus-within {
  border-color: rgb(54, 54, 54);
}

.reply-buttons-wrap{
  z-index: 100;
  margin-right: 0.5rem;
      display: flex;
    flex-direction: row;
    gap: 10px;
} 
.reply-bottom{
  display: flex;
  justify-content: end;
}


#post-comment-border.expanded{
  border-radius: 1.25rem;
}
.comment-banner{
  display: flex;
  justify-content: end;
}

#submit-comment{
  display: none;
    padding: 0.4em 1em;
    border-radius: var(--border-radius-999);
    border: none;
    background-color: #e7e7e7;
    font-size: 0.7rem;  
    color:rgb(209 209 209);
        margin-top: -20px;
    margin-right: 50px;
}
#cancel-comment{
  display: none;
  margin-right: 20px;
}
#cancel-comment.expanded:hover{
  background-color: #d6dcf0 !important;
}
#cancel-comment.expanded:active{
  background-color: #c2cae6 !important;
}
.comment-posting{
  width: clamp(320px, 24vw + 123px, 512px);
  height: 30px;
  display: flex;
  justify-content: flex-end;
  z-index: 500;
  position: absolute;
  margin-top: 10px;

}

#save-post, #cancel-edit, .cancel-edit, .save-comment{
    position: relative;
    z-index: 400;
    display: block;
    right: 0;
    padding: 7px 15px 7px 15px;
    border-radius: var(--border-radius-999);
    border: none;
    font-size: 12px !important;
    margin-top: 0px;
    font-weight: 600;
}
#cancel-edit, .cancel-edit{
  background-color: var(--post-bg-hover-new);
  color: rgb(0, 0, 0);
  margin-right: 10px;
}

#save-post, .save-comment{
  background-color: var(--pink);
  color: rgb(255, 255, 255);
}
#cancel-edit:hover, .cancel-edit:hover{
  background-color: var(--btn-bg-hover-new);
}
#save-post:hover, .save-comment:hover{
  background-color: var(--pink-hover);
}
#post-comment-border .comment-posting #submit-comment.expanded, 
#post-comment-border .comment-posting #cancel-comment.expanded {
  position: relative;
  z-index: 999999;
  display: block;
  right: 0;
  padding: 0.4em 1em;
  border-radius: var(--border-radius-999);
  border: none;
  background-color: #fcfcfc;
  font-size: 12px;
  color: rgb(209 209 209);
  margin-top: 0px;
  font-weight: 600;
}
#submit-comment.expanded{
  cursor: default;
}
.comment-buttons-wrapper .disabled {
  opacity: 0.5;
  pointer-events: none;
}
.button-reply-comment.disabled{
  display: none;
}
#submit-comment.expanded.valid{
    cursor: pointer !important;
    background-color: var(--pink) !important;
    color: rgb(255, 255, 255) !important;
}

#submit-comment.expanded.valid:hover {
  background-color: var(--pink-hover) !important;
  color: white;
}


#post-comment-border .comment-posting #cancel-comment.expanded{
  color: rgb(0, 0, 0) !important;
}

@keyframes bubbleFlash {
  0%   { background-color: #b1c0db }
  100% { background-color: var(--speak-bubble-clr) }
}
@keyframes tailFlash {
  0%   { fill: #b1c0db }
  100% { fill: var(--speak-bubble-clr) }
}

.speak-bubble.comment-highlight {
  animation: bubbleFlash 1000ms ease-out 1;
}

.speak-tail.comment-highlight,
.speak-tail-reply.comment-highlight {
  animation: tailFlash 1000ms ease-out 1;
  fill: var(--speak-bubble-clr);
}



.comment-pending-text{
  color: green;
  font-weight: 600;
}
.comment-pending-text.font.pending-granskning{
    color: var(--font-clr);  
    font-weight: 400;
    background-color: var(--post-bg-hover-new);
    padding: 8px 12px;
    border-radius: 999px;
    padding-left: 10px;
}
.comment-pending-sub{
    color: gray;  
}
.pending-top-wr{
  display: flex;
}
.comment-pending-text.emoji{
  margin-left: 2px;
  font-size: 18px;
}
.empty-comments-msg{
    display: flex;
    justify-content: center;  
}
.empty-comments-wr{
    display: flex;
    flex-direction: column;
    width: fit-content;
    text-align: center;
    gap: 10px;  
    align-items: center;
    max-width: 337px;
}
.empty-comments-wr span{
  color: var(--font-clr);
}
.empty-comments-cta{
    padding: 13px 20px;
    color: white;
    font-weight: 700;
    border: none;
    background: var(--pink);
    border-radius: var(--border-radius-999);
    cursor: pointer;
}
.empty-comments-cta:hover{
  background-color: var(--pink-hover);
}

.empty-comments-cta:active{
  background-color: var(--pink-click);
}
.empty-comments-wr img{
  width: 50px;
}
.empty-comments-header{
  font-weight: 700 !important;
  font-size: 16px !important;
}
.more-posts-label{
  font-size: 18px !important;
  font-weight: 700;
  margin-top: 20px;
  margin-bottom: 20px;
}
.more-posts-section{
  margin-left: 5px;
  margin-right: 5px;
}
#thread-comments-wr{
  margin-bottom: 20px;
}
.more-posts-section .btn-join.footer{
    width: 40%;
    display: block;
    box-sizing: border-box;
    margin-left: auto;
    margin-right: auto;  
}
.more-posts-section .cta-footer-wr{
    margin-top: 15px;  
    width: 100%;
    height: 100%;
    display: block; 
    max-width: 100%; 
    margin-bottom: 10px;
}

.more-posts-wr{
    display: flex;
    justify-content: space-between;
    align-items: center;  
    margin-left: 10px;
}
.more-posts-viewall{
    display: flex;
    align-items: center;
    gap: 12px;
  
}
.more-posts-viewall i{
    transform: translateY(2px);
}
.more-posts-viewall:hover{
  color: black;
}